Bug 1807885

Summary: ardour5 requires Python 2 to build
Product: [Fedora] Fedora Reporter: Petr Viktorin <pviktori>
Component: ardour5Assignee: Nils Philippsen <nphilipp>
Status: NEW --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 34CC: guido.aulisi, nphilipp
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-07-23 08:44:17 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1803205    

Description Petr Viktorin 2020-02-27 12:29:48 UTC
Python 2 reached upstream end-of-life in January 2020. In Fedora Rawhide, it's now provided from the compat package `python27`.
Packages that only use Python 2 at build time, like ardour5, had a general exception to keep using it in Fedora 31. Now, the dependency should be removed.

It seems that Python 3 support was already merged upstream, and is planned for ardour 6.0: https://github.com/Ardour/ardour/pull/459

If it's possible that the Python 2 build dependency won't get removed
in Fedora 33, please let us know; the package will need a FESCo exception.

If you need anything from us, or something is unclear, please mention it here.

Comment 1 Guido Aulisi 2020-03-15 10:15:50 UTC
Ardour 6.0 is still work in progress. For now it's too difficult (IMHO) to migrate the build system (waf) to python3.
I think ardour5 needs a FESCo exception for now.

Comment 2 Guido Aulisi 2020-03-19 17:42:43 UTC
I've asked a FESCo exception for ardour5 [0]

[0]: https://pagure.io/fesco/issue/2357

Comment 3 Guido Aulisi 2020-07-23 08:44:17 UTC
The FESCo exception for ardour5 has been accepted.
Meanwhile ardour6 has been released, but it will be available in F33 as a different package, due to many updated dependencies.

Comment 4 Petr Viktorin 2021-01-13 17:58:59 UTC
This is not fixed; ardour5 still depends on Python 2 to build.

Comment 5 Ben Cotton 2021-02-09 15:14:23 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.